Subject: Re: [PATCH v3 17/20] t0021: refactor `generate_random_characters()` to not depend on Perl

From: Patrick Steinhardt <[email-masked]>
Date: Wed, 2 Apr 2025 09:16:15 +0200

On Tue, Apr 01, 2025 at 09:04:44PM +0200, Johannes Schindelin wrote:
> Hi Patrick,
> 
> On Thu, 27 Mar 2025, Patrick Steinhardt wrote:
> 
> > The `generate_random_characters()` helper function generates N
> > random characters in the range 'a-z' and writes them into a file. The
> > logic currently uses Perl, but it can be adapted rather easily by:
> >
> >   - Making `test-tool genrandom` generate an infinite stream.
> >
> >   - Using `tr -dc` to strip all characters which aren't in the range of
> >     'a-z'.
> >
> >   - Using `test_copy_bytes()` to copy the first N bytes.
> 
> It would be conceptually more elegant to teach `genrandom` to optionally
> output only lower-case letters. But that would be admittedly result in a
> larger patch, therefore I am okay with keeping the patch as-is.

Yeah, it's basically the same reason why I decided against teaching
`test-tool genzeros` to output arbitrary characters. And again, I'm
happy to adapt if anybody feels strongly, but meanwhile I'm being
pragmatic and go with the simple solution.

Patrick